async function form_submit(e){
  e.preventDefault()
  const email = window.signup_email?.value?.trim?.()
  window.signup_email.value = email
  if(email === ''){
    console.log('email blank')
    return
  }
  if(!/^[^\s@]+@[^\s@]+\.[^\s@]+$/.test(email)){
    window.error_div.innerText = 'invalid email'
    window.signup_email.style.color = 'red'
    window.signup_email.style.borderColor = 'red'
    return
  }
  const request = await fetch(`https://api.hsforms.com/submissions/v3/integration/submit/48869402/80de924d-6091-4bed-9251-d03b3e73be17`, {
    method: 'POST',
    headers: {
      'content-type':'application/json'
    },
    body: JSON.stringify({
      fields: [
        {
          'name': 'email',
          value: email
        }
      ]
    })
  })
  if(request.ok){
    window.signup_div.innerHTML = `Thanks! An email will be sent to <span style="color:#e1d14c">${email}</span> when Scrblr is launched.`
  } else {
    window.signup_email.style.color = 'red'
    window.signup_email.style.borderColor = 'red'
    window.error_div.innerText = 'Error signing you up. Please check your email and try again.'
  }
}

window.signup_form.onsubmit = form_submit
window.signup_email.oninput = function(e){
  window.signup_email.style.borderColor = null
  e.target.style.color = null
}

setTimeout(function(){
  window.signup_div.style.opacity = 1
  window.signup_div.style.marginTop = '50px'
}, 800)
